loading...

re: Expo SDK 38 is now available VIEW POST

FULL DISCUSSION
 

I have upgraded my SDK to SDK38 using expo upgrade, but whenever i'm building my app using expo build: android i'm getting warning like "expo build will work only in managed workflow" and generating an APK/AAB file without my existing key. Everytime it is creating new keystore in which i'm unable to upload my app in playstore.

Tried by creating a new project, but facing the same issue. PFB, the warning I'm getting.

C:\Users\admin\NodeProject\bkp\good_one>expo build:android

⚠️  expo build:android currently only supports managed workflow apps.
If you proceed with this command, we can run the build for you but it will not include any custom native modules or changes that you have made to your local native projects.
Unless you are sure that you know what you are doing, we recommend aborting the build and doing a native release build through Android Studio.
? Would you like to proceed? (Y/n)

package.json :
{
  "scripts": {
    "start": "react-native start",
    "android": "react-native run-android",
    "ios": "react-native run-ios",
    "web": "expo start --web"
  },
  "dependencies": {
    "expo": "~38.0.8",
    "expo-splash-screen": "^0.5.0",
    "expo-status-bar": "^1.0.2",
    "expo-updates": "~0.2.10",
    "react": "~16.11.0",
    "react-dom": "~16.11.0",
    "react-native": "~0.62.2",
    "react-native-gesture-handler": "~1.6.1",
    "react-native-reanimated": "~1.9.0",
    "react-native-screens": "~2.9.0",
    "react-native-unimodules": "~0.10.1",
    "react-native-web": "~0.11.7"
  },
  "devDependencies": {
    "@babel/core": "^7.8.6",
    "babel-jest": "~25.2.6",
    "jest": "~25.2.6",
    "react-test-renderer": "~16.11.0",
    "babel-preset-expo": "~8.1.0"
  },
  "private": true
}

Exo cli : latest (3.24.2)

Please shed some light, it would be helpful. Thanks.

Code of Conduct Report abuse